<?php
include('connection.php');

header('Content-Type: application/json');

if ($conn !== false) {

    $lat = $_REQUEST['lat'];
    $lon = $_REQUEST['lon'];

    if (is_numeric($lat) && is_numeric($lon)) {


        // Récupère les coordonées xy en 900913 et récupère le x/y en 4326
        if (isset($_REQUEST['srid'])) {
            $transform_query = "SELECT st_x(st_transform(st_geomfromtext('POINT(" . $lon . " " . $lat . ")', ".$_REQUEST['srid']."), 4326)), st_y(st_transform(st_geomfromtext('POINT(" . $lon . " " . $lat . ")', ".$_REQUEST['srid']."), 4326))";

            $rs = pg_query($conn, $transform_query);
            $transform_result = pg_fetch_assoc($rs);


            $lon = $transform_result['st_x'];
            $lat = $transform_result['st_y'];

        }


        $query =" ????? ";

        $rs = pg_query($conn, $query);
        $result = pg_fetch_assoc($rs);

        if (isset($result['id']) && $result['id'] != -1) {
            echo '{"success": { "id": '.$result['id'].', "x": '.$result['x'].', "y": '.$result['y'].'}}';
        } else {
            echo '{"error": "No nearby points..."}';
        }

    } else {
        echo '{"error": "problem with lat or lon..."}';
    }
} else {
    echo '{"error": "No connexion with database..."}';
}